# Uses of Interface
com.usatiuk.dhfs.peersync.PeerConnectedEventListener

Packages that use PeerConnectedEventListener
Package
Description
com.usatiuk.dhfs.invalidation
com.usatiuk.dhfs.peersync

## Uses of PeerConnectedEventListener in com.usatiuk.dhfs.invalidation

Classes in com.usatiuk.dhfs.invalidation that implement PeerConnectedEventListener
Modifier and Type
Class
Description
`class`
`DeferredInvalidationQueueService`

## Uses of PeerConnectedEventListener in com.usatiuk.dhfs.peersync

Constructor parameters in com.usatiuk.dhfs.peersync with type arguments of type PeerConnectedEventListener
Modifier
Constructor
Description
``
`ReachablePeerManager(jakarta.enterprise.inject.Instance<PeerConnectedEventListener> connectedListeners, jakarta.enterprise.inject.Instance<PeerDisconnectedEventListener> disconnectedListeners)`